make it work with newest firefox